import * as $dara from '@darabonba/typescript';
import { ModifyManagedInstanceResponseBody } from "./ModifyManagedInstanceResponseBody";
export declare class ModifyManagedInstanceResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyManagedInstanceResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
